Subject: Re: Problems with "git svn clone"

From: Eric Wong <[email-masked]>
Date: Thu, 20 Oct 2016 00:49:56 +0000

K Richard Pixley <[email-masked]> wrote:
> On 10/19/16 13:41 , Eric Wong wrote:
> >K Richard Pixley <[email-masked]> wrote:
> >>error: git-svn died of signal 11
> >>
> >>This seems awfully early and blatant for a core dump.  What can I do to
> >>get this running?
> >Can you show us a backtrace?  Thanks.
> There is none.  I ran it in gdb and bt produced no results.  Nor did the
> thread send bt command.

You probably need to install the debug package(s) for subversion.
In case it's a different bug, maybe the debug package for Perl, too.

> >>Initially discovered on git-2.7.4, (ubuntu-16.04), but also reproduced
> >>on freshly built top of tree git-2.10.1.445.g3cdd5d1.
> >This could be a problem with the SVN Perl libraries, and should
> >be fixed in newer versions (not sure if it's made it to distros,
> >yet):
> >
> >https://public-inbox.org/git/[email-masked]/T/
> >
> >Seems like it is fixed in latest Debian, maybe it needs to trickle
> >into Ubuntu: https://bugs.debian.org/780246
> Thanks.  I'll try adding that.
> 
> Er... which debian would that be?  testing?  Or sid?

It looks like it (1.9.4-3) has trickled into stretch (testing)
by now:

	https://packages.debian.org/src:subversion